
#define CD4094_STROBE   2                 
#define CD4094_DATA     3                 
#define CD4094_CLOCK    4                 
int cd4094_strobePin = CD4094_STROBE;     
int cd4094_dataPin = CD4094_DATA;         
int cd4094_clockPin = CD4094_CLOCK;       

void cd4094setup ( int s, int d, int c ) {
  cd4094_strobePin = s;                   
  cd4094_dataPin = d;                     
  cd4094_clockPin = c;                    
  pinMode ( cd4094_strobePin,  OUTPUT );  
  pinMode ( cd4094_dataPin,    OUTPUT );  
  pinMode ( cd4094_clockPin,   OUTPUT );  
  digitalWrite ( cd4094_strobePin, LOW ); 
  digitalWrite ( cd4094_dataPin,   LOW ); 
  digitalWrite ( cd4094_clockPin,  LOW ); 
}                                         


int _ABVAR_1_temperatura = 0 ;
int __ardublockAnalogRead(int pinNumber)
{
  pinMode(pinNumber, INPUT);
  return analogRead(pinNumber);
}



void cd4094sendByte( unsigned char data ) {              
  for (int bit = 0; bit < 8; bit++ ) {                 
    digitalWrite ( cd4094_dataPin,   data & 0x80 );  
    data <<= 1;                                      
    digitalWrite ( cd4094_clockPin,  HIGH );         
    digitalWrite ( cd4094_clockPin,  LOW );          
  }                                                    
  digitalWrite ( cd4094_strobePin,  HIGH );            
  digitalWrite ( cd4094_strobePin,  LOW );             
}                                                        


// wygenerowane automatycznie, nie zmieniaj tego!
unsigned char Dec2Bcd ( unsigned char n ) {      
  return ( n / 10 * 16 ) + ( n % 10 );         
}                                                



void setup()
{
  Serial.begin(9600);
  analogReference (  INTERNAL  ); 
  cd4094setup ( 2, 3, 4 ); 

}

void loop()
{
  delay( 500 );
  _ABVAR_1_temperatura = ( __ardublockAnalogRead(A0) / 10 ) ;
  cd4094sendByte (  Dec2Bcd ( _ABVAR_1_temperatura ) ); 
  Serial.print("temperatura=");
  Serial.print(" ");
  Serial.print(_ABVAR_1_temperatura);
  Serial.print(" ");
  Serial.println();
}


